"use strict";
var r = Object.defineProperty;
var a = Object.getOwnPropertyDescriptor;
var n = Object.getOwnPropertyNames;
var s = Object.prototype.hasOwnProperty;
var l = (o, _) => {
  for (var O in _)
    r(o, O, { get: _[O], enumerable: !0 });
}, R = (o, _, O, t) => {
  if (_ && typeof _ == "object" || typeof _ == "function")
    for (let e of n(_))
      !s.call(o, e) && e !== O && r(o, e, { get: () => _[e], enumerable: !(t = a(_, e)) || t.enumerable });
  return o;
};
var b = (o) => R(r({}, "__esModule", { value: !0 }), o);

// src/preview/globals.ts
var L = {};
l(L, {
  globalPackages: () => y,
  globalsNameReferenceMap: () => E
});
module.exports = b(L);

// src/preview/globals/globals.ts
var E = {
  "@storybook/global": "__STORYBOOK_MODULE_GLOBAL__",
  "storybook/internal/channels": "__STORYBOOK_MODULE_CHANNELS__",
  "storybook/internal/client-logger": "__STORYBOOK_MODULE_CLIENT_LOGGER__",
  "storybook/internal/core-events": "__STORYBOOK_MODULE_CORE_EVENTS__",
  "storybook/internal/preview-errors": "__STORYBOOK_MODULE_CORE_EVENTS_PREVIEW_ERRORS__",
  "storybook/internal/preview-api": "__STORYBOOK_MODULE_PREVIEW_API__",
  "storybook/internal/types": "__STORYBOOK_MODULE_TYPES__"
}, y = Object.keys(E);
